complexType "CommodityNotionalQuantity"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 11 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | quantityUnit, quantityFrequency, quantity
</...>

Content Model Elements (3):

  quantity (defined in CommodityNotionalQuantity complexType),
  quantityFrequency,
  quantityUnit (defined in CommodityNotionalQuantity complexType)

Known Direct Subtypes (2):

  CommoditySettlementPeriodsNotionalQuantity, ElectricityPhysicalDeliveryQuantity

All Direct / Indirect Based Elements (11):

  integralMultipleQuantity,
  maxPhysicalQuantity,
  minimumNotionalQuantity,
  minPhysicalQuantity,
  notionalQuantity,
  notionalStep,
  physicalQuantity (defined in CommodityFixedPhysicalQuantity.model group),
  physicalQuantity (in deliveryQuantity in electricityPhysicalLeg),
  quantityStep,
  settlementPeriodsNotionalQuantity,
  settlementPeriodsNotionalQuantityStep

Known Usage Locations

- In derivations of other global types (2):
  CommoditySettlementPeriodsNotionalQuantity (as extension base),
  ElectricityPhysicalDeliveryQuantity (as extension base)
- As direct type of elements (9):
  integralMultipleQuantity,
  maxPhysicalQuantity,
  minimumNotionalQuantity,
  minPhysicalQuantity,
  notionalQuantity,
  notionalStep,
  physicalQuantity (defined in CommodityFixedPhysicalQuantity.model group),
  quantityStep,
  settlementPeriodsNotionalQuantityStep

Annotation
Commodity Notional.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CommodityNotionalQuantity"> <xsd:sequence> <xsd:element name="quantityUnit" type="QuantityUnit"/> <xsd:element name="quantityFrequency" type="CommodityQuantityFrequency"/> <xsd:element name="quantity" type="xsd:decimal"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
quantity

  Type: | xsd:decimal, predefined, simple content

  Amount of commodity per quantity frequency.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="quantity" type="xsd:decimal"/>

quantityFrequency

  Type: | CommodityQuantityFrequency, simple content

  The frequency at which the Notional Quantity is deemed to apply for purposes of calculating the Total Notional Quantity.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="quantityFrequency" type="CommodityQuantityFrequency"/>

quantityUnit

  Type: | QuantityUnit, simple content

  Quantity Unit is the unit of measure applicable for the quantity on the Transaction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="quantityUnit" type="QuantityUnit"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.